Subject: bug#52194: 28.0.50; [PATCH] Put paid to a flappy test module

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 30 Nov 2021 14:16:56 +0100

Robert Pluim <[email-masked]> writes:

>>>>>> On Mon, 29 Nov 2021 20:38:05 -0500, [email-masked] said:
>
>     dick> From 18e2cfa112c3393b4191bb3497bf9a0ae643c2a2 Mon Sep 17 00:00:00 2001
>     dick> From: dickmao <[email-masked]>
>     dick> Date: Mon, 29 Nov 2021 20:31:28 -0500
>     dick> Subject: [PATCH] Don't repeat yourself (DRY)
>
> I donʼt think that quite works:

[...]

>   SKIPPED  echo-server-with-dns

It works here...

But as for the patch itself -- "don't repeat yourself" is good advice in
normal code, but for tests, we want to be as explicit as possible, so
that when tests fail, we can see exactly what fails.  So I don't think
rewriting the tests is a good idea, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no